Subject: bug#4873: 23.1.50; Some unexpected behaviour during dired confirmation prompt

From: Glenn Morris <[email-masked]>
Date: Tue, 01 Mar 2011 03:25:10 -0500

Thanks for the report, sorry for the long delay in replying.
Please see comments below.

Tim Van Holder wrote:

> Given a dired session in a directory containing files 'a' and 'b':
> - put cursor on 'a' and press R (rename)
> - enter 'b' as new name
>
> Result: dired prompts with "Overwrite 'b'? [Type yn!q or C-h]".
>
> Unexpected behaviour at this point:
> - C-g does not work (only 'q' cancels)

I cannot reproduce this in Emacs 23.1 or 23.2, using `-Q'.

> - toolbar goes blank (with a minor frame resize as a result);

I cannot reproduce this in Emacs 23.2 (cannot test 23.1 right now).

> - Pressing a key other than those listed results in
>     "Invalid key - type  for help."
>   (i.e. the character for ^H (0x08) is shown instead of "C-h")

I see this in 23.1, but not in 23.2.

So in summary I either cannot reproduce these issues, or they seem to
have been fixed. Are you still seeing any of them with `emacs -Q'?

> In GNU Emacs 23.1.50.2 (i686-pc-linux-gnu, GTK+ Version 2.8.20)
>  of 2009-11-05 on leeloo